group "CommodityAsian.model"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | 5 elements
Defined: | globally in fpml-com-5-3.xsd; see XML source
Includes: | definitions of 5 elements
Used: | at 1 location

Content Model Diagram

Complex Content Model
effectiveDate?, (calculationPeriodsSchedule? | calculationPeriods?), pricingDates?, averagingMethod?

Content Model Elements (5):

  averagingMethod (in commodityOption), calculationPeriods (in commodityOption), calculationPeriodsSchedule (in commodityOption), | effectiveDate (in commodityOption), pricingDates (in commodityOption)

Known Usage Locations

- In definitions of other model groups (1):
  CommodityFinancialOption.model

Annotation
Model group containing features specific to asian/averaging commodity options.
XML Source (w/o annotations (6); see within schema source)

<xsd:group name="CommodityAsian.model"> <xsd:sequence> <xsd:element minOccurs="0" name="effectiveDate" type="AdjustableOrRelativeDate"/> <xsd:choice> <xsd:element minOccurs="0" name="calculationPeriodsSchedule" type="CommodityCalculationPeriodsSchedule"/> <xsd:element minOccurs="0" name="calculationPeriods" type="AdjustableDates"/> </xsd:choice> <xsd:element minOccurs="0" name="pricingDates" type="CommodityPricingDates"/> <xsd:element minOccurs="0" name="averagingMethod" type="AveragingMethodEnum"/> </xsd:sequence> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 5/5)
averagingMethod

  Type: | AveragingMethodEnum, simple content

  The Method of Averaging if there is more than one Pricing Date.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Unweighted" | - | The arithmetic mean of the relevant rates for each reset date. See: http://www.FpML.org
  "Weighted" | - | The arithmetic mean of the relevant rates in effect for each day in a calculation period calculated by multiplying each relevant rate by the number of days such relevant rate is in effect, determining the sum of such products and dividing such sum by the number of days in the calculation period. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="averagingMethod" type="AveragingMethodEnum"/>

calculationPeriods

  Type: | AdjustableDates, complex content

  An absolute representation of the Calculation Period start dates of the Commodity Option Transaction.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="calculationPeriods" type="AdjustableDates"/>

calculationPeriodsSchedule

  Type: | CommodityCalculationPeriodsSchedule, complex content

  A parametric representation of the Calculation Periods of the Commodity Option Transaction.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="calculationPeriodsSchedule" type="CommodityCalculationPeriodsSchedule"/>

effectiveDate

  Type: | AdjustableOrRelativeDate, complex content

  The effective date of the Commodity Option Transaction. Note that the Termination/Expiration Date should be specified in expirationDate within the CommodityAmericanExercise type or the CommodityEuropeanExercise type, as applicable.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="effectiveDate" type="AdjustableOrRelativeDate"/>

pricingDates

  Type: | CommodityPricingDates, complex content

  The dates on which the option will price.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="pricingDates" type="CommodityPricingDates"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.